<template>
  <div class="section-content">
    <div class="mystory">
        <h5>Working Process</h5>
        <h1>Creative Protfolio</h1>
    </div>
    <v-card>
      <v-tabs v-model="tab" color="deep-purple-accent-4" align-tabs="end">
        <v-tab :value="1">Landscape</v-tab>
        <v-tab :value="2">City</v-tab>
        <v-tab :value="3">Abstract</v-tab>
      </v-tabs>
      <v-window v-model="tab">
        <v-window-item v-for="n in 3" :key="n" :value="n">
          <v-container fluid>
            <v-row>
              <template v-for="(image, imgIdx) in imageLayout" :key="imgIdx">
                <v-col :cols="image.cols">
                  <v-img
                    :src="`https://picsum.photos/500/300?image=${image.cols * 3}`"
                    cover
                    height="100%"
                  ></v-img>
                </v-col>
              </template>
            </v-row>
          </v-container>
        </v-window-item>
      </v-window>
    </v-card>
  </div>
</template>

<script>
export default {
  data: () => ({
    imageLayout: [
      { cols: 6 },
      { cols: 4 },
      { cols: 2 },
      { cols: 4 },
      { cols: 3 },
      { cols: 5 },
    ],
  }),
};
</script>

<style scoped>
.section-content {
  width: 100%;
  padding: 40px 200px;
}
.mystory{
    text-align: center;
    margin-bottom: 5px;
}
.mystory h5{
    color: rgb(48, 214, 173);
}
</style>